# Gruppe44-PROG1003-2022

Prosjektoppgave i OOPROG, PROG1003, 2022.

## Medlem:
- Andreas Blakli
- Epost: andrbl@stud.ntnu.no
- Tlf: 94173577

# Info
Dette prosjektet er laget for Linux, det burde også fungere for Microsoft Windows 10 men innlesning av data fra CLI kan dog ha uønsket atferd som "bricker" programmet.  

Se mappen **tester** for PDFene SA_Testing, RN_Testing og RE_Testing.  
Se mappen **DTA_datastruktur** for *STOPPESTEDER.DTA* og *RUTER.DTA* data struktur.  
For DTA filer med annen data enn de obligatoriske se mappen **DTA_utfylt** for DTA filer med ferdig utfylt data.  

# Programmet
Programmet holder oversikt over buss, bane ruter og stoppesteder. 
En rute består av flere stoppesteder. Man kan lage nye stoppesteder
som legges inn i programmet som da senere kan brukes i Ruter.
En rute er enten en buss rute eller en bane rute.
På en rute så må en tid bli gitt mellom hvert stoppested.
Når en rute er ferdig laget kan man skrive ut en rutetabell for den
valgte ruten for ett spesifikt stoppested.
Man kan søke på en spesifikk rute for å få detaljert informasjon om
en spesifikk rute.
Man kan søke på et spesifikt stoppested for å se hvilke stoppesteder den 
har som naboer og tiden det tar for og komme til disse naboene.
Programmet tillater at man kan legge til eller fjerne stoppesteder
fra en eksisterende rute.

Alle stoppesteder og ruter blir lagret til fil når man avslutter
programmet. Den lagrede dataen blir hentent inn igjen 
når det starter.

**Tilgjenglige kommandoer:**

 * S N - Nytt stoppested
 * S A - Skriv alle stoppesteder
 * S E - Søk på spesifikk stoppested
 * R N - Ny rute
 * R A - Skriv kort alle ruter
 * R E - Endre rute
 * R B - Rute beskrivelse
 * R T - Rutetabell
 * Q - Avslutt

 ## NB!
 Det er viktig å taste inn kommandoene akkurat som det står i eksempelet ovenfor. I.e. **"S N"**  er lovlig men " S N" eller "S N " eller "S" "N" er ulovlig input.