#ifndef __BANE_H
#define __BANE_H

#include <fstream>
#include <iostream>

#include "hjelpeFunksjoner.h"
#include "konstanter.h"
#include "lesData3.h"
#include "rute.h"

/**
 * Bane klasse, subklasse av Rute.
 * Holder datamedlemmene:
 *      antallVogner - int antall vogner i en bane.
 *      baneLengde - int banens lengde.
 */
class Bane : public Rute {
   private:
    int antallVogner;
    int baneLengde;
    HjelpeFunksjoner hjelp;

   public:
    Bane();
    virtual ~Bane();
    void lesData();
    void skrivData();
    void skrivType();
    void skrivDataForlengs();
    void skrivDataBaklengs();
    void lesFraFil(std::ifstream &inn);
    void skrivTilFil(std::ofstream &ut);
};

#endif  // __BANE_H